## Name

gfperf-autoreplica — Gfarm measure autoreplica performance

## Synopsis

`gfperf-autoreplica` [-t, --testdir `test directory`] [-m, --gfarm2fs `gfarm2fs mount point`] [-l, --filesize `file size`] [-f, --number `number of files`] [-r, --replica `number of replica`] [-s, --stop `wait time`]

## DESCRIPTION

This command measures file creation performance in auto replication by gfmd. This command creates specified number of files in specified size. Between creation of files per second is performance of auto replica.

All test files are created in `test directory`, and automatically removed on success.

## OPTIONS

`-t, --testdir` `test directory`

  Test files are created in this directory. Specify gfarm url (that begins with gfarm:///). The default is 'gfarm:///tmp'.

`-m, --gfarm2fs` `gfarm2fs mount point`

  Specify gfarm2fs mount point.

`-l, --filesize` `file size`

  File size to be created. The default is 1G. (1G = 2^30)

`-f, --number` `number of files`

  Number of files to be created. The default is 10.

`-r, --replica` `number of replica`

  Number of replica that is automatically replicated by gfmd. The default is 1.

`-s, --stop` `wait time`

  Wait time for file replication in seconds. The default is 60 seconds.